Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.defensive.sample
Class Company

    java.lang.Object
      ru.rsdn.defensive.sample.Company

    @Guarded
    public class Company

extends java.lang.Object

Компания

Field Summary
`private static java.lang.String` | `COUNT_NUMBERS_TIN_MESSAGE`
`private java.lang.String` | `email`
`private static java.lang.String` | `INVALID_EMAIL_MESSAGE`
`private java.lang.String` | `name`
`private static java.lang.String` | `NO_EMAIL_MESSAGE`
`private static java.lang.String` | `NO_NAME_MESSAGE`
`private static java.lang.String` | `NO_TIN_MESSAGE`
`private static java.lang.String` | `ONLY_NUMBERS_TIN_MESSAGE`
`private java.lang.String` | `tin`

Constructor Summary
`Company()`
`Company(java.lang.String _name, java.lang.String _tin, java.lang.String _email)` Конструктор

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`private static boolean` | `equals(java.lang.Object obj0, java.lang.Object obj1)`
`java.lang.String` | `getEmail()`
`java.lang.String` | `getName()`
`java.lang.String` | `getTin()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_NAME_MESSAGE

    private static final java.lang.String NO_NAME_MESSAGE

See Also:
  Constant Field Values

### NO_TIN_MESSAGE

    private static final java.lang.String NO_TIN_MESSAGE

See Also:
  Constant Field Values

### ONLY_NUMBERS_TIN_MESSAGE

    private static final java.lang.String ONLY_NUMBERS_TIN_MESSAGE

See Also:
  Constant Field Values

### COUNT_NUMBERS_TIN_MESSAGE

    private static final java.lang.String COUNT_NUMBERS_TIN_MESSAGE

See Also:
  Constant Field Values

### NO_EMAIL_MESSAGE

    private static final java.lang.String NO_EMAIL_MESSAGE

See Also:
  Constant Field Values

### INVALID_EMAIL_MESSAGE

    private static final java.lang.String INVALID_EMAIL_MESSAGE

See Also:
  Constant Field Values

### name

    @NotNull(message="\u041d\u0435 \u0443\u043a\u0430\u0437\u0430\u043d\u043e \u043d\u0430\u0437\u0432\u0430\u043d\u0438\u0435")
    private java.lang.String name

### tin

    @NotNull(message="\u041d\u0435 \u0443\u043a\u0430\u0437\u0430\u043d \u0418\u041d\u041d")
    @MatchPattern(pattern="^\\d*$",
                  message="\u0418\u041d\u041d \u0434\u043e\u043b\u0436\u0435\u043d \u0441\u043e\u0434\u0435\u0440\u0436\u0430\u0442\u044c \u0442\u043e\u043b\u044c\u043a\u043e \u0446\u0438\u0444\u0440\u044b")
    private java.lang.String tin

### email

    @NotNull(message="\u041d\u0435 \u0443\u043a\u0430\u0437\u0430\u043d\u0430 \u044d\u043b\u0435\u043a\u0442\u0440\u043e\u043d\u043d\u0430\u044f \u043f\u043e\u0447\u0442\u0430")
    @MatchPattern(pattern="^(([a-z0-9]{1,}[\\.\\_\\-]?[a-z0-9]{1,})\\@([a-z0-9]{1,}[\\-]?[a-z0-9.]{1,}\\.)([a-z]{2,2}|org|net|com|gov|edu|int|info|biz|museum))?$",
                  message="\u041d\u0435\u043a\u043e\u0440\u0440\u0435\u043a\u0442\u043d\u0430\u044f \u044d\u043b\u0435\u043a\u0442\u0440\u043e\u043d\u043d\u0430\u044f \u043f\u043e\u0447\u0442\u0430")
    private java.lang.String email

Constructor Detail

### Company

    public Company()

### Company

    public Company(java.lang.String _name,
                   java.lang.String _tin,
                   java.lang.String _email)

  Конструктор

  Parameters:
    `_name` - название
    `_tin` - ИНН
    `_email` - электронная почта

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    название

### getTin

    public java.lang.String getTin()

  Returns:
    ИНН

### getEmail

    public java.lang.String getEmail()

  Returns:
    электронная почта

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    private static boolean equals(java.lang.Object obj0,
                                  java.lang.Object obj1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD